%define url_ver %(echo %{version}|cut -d. -f1,2)

%define __provides_exclude_from %{_libdir}/%{name}/plugin.*\\.so
%define __requires_exclude_from %{_libdir}/%{name}/plugin.*\\.so

%define gi_major 1.0
%define girname  %mklibname %{name}-gir %{gi_major}

Summary: Small but powerful text editor for MATE
Name:    pluma
Version: 1.28.0
Release: %mkrel 1
License: GPLv2+
Group:   Graphical desktop/MATE
URL:     http://mate-desktop.org
Source0: http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: iso-codes
BuildRequires: itstool
BuildRequires: mate-common >= 1.22.0
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0) >= 2.36
BuildRequires: pkgconfig(iso-codes) >= 0.35
BuildRequires: pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires: pkgconfig(sm) >= 1.0.0
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(libsoup-gnome-2.4)
BuildRequires: pkgconfig(enchant-2)
BuildRequires: yelp-tools
BuildRequires: pkgconfig(mate-desktop-2.0) >= 1.22.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(gtksourceview-3.0) >= 3.0.0
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gthread-2.0) >= 2.13.0
BuildRequires: pkgconfig(gio-2.0) >= 2.26.0
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libpeas-1.0) >= 1.2.0
BuildRequires: pkgconfig(libpeas-gtk-1.0) >= 1.2.0
BuildRequires: pkgconfig(pygobject-3.0)
BuildRequires: python

# the run-command plugin uses zenity
Requires: zenity
Requires: lib64peas0
Requires: lib64peas-gtk0
Requires: pluma-plugins

Obsoletes: mate-text-editor
Provides:  mate-text-editor = %{version}-%{release}

%description
Pluma is a small but powerful text editor designed expressly
for MATE.

It includes such features as split-screen mode, a plugin
API, which allows Pluma to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

%package devel
Group:      Development/Libraries
Summary:    Headers for writing Pluma plugins
Provides:   %{name}-devel = %{version}-%{release}

Obsoletes: mate-text-editor-devel
Provides:  mate-text-editor-devel = %{version}-%{release}

%description devel
Pluma is a small but powerful text editor designed expressly
for MATE.

It includes such features as split-screen mode, a plugin
API, which allows Pluma to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

Install this if you want to build plugins that use Pluma's API.

%package doc
Summary:  Documentation support for %{name}
Group:    Documentation
Requires: %{name} = %{version}-%{release}

%description doc
This package provides help files for %{name}.


%prep
%setup -q

export CFLAGS="-fvisibility=hidden -fvisibility-inlines-hidden -Wpedantic -Wall -Wextra -Wno-unknown-pragmas -shared-libgcc -fpic -funsafe-math-optimizations -fpermissive -O3 -flto -fpie"

# switch to enchant2
sed -i 's/, enchant/, enchant-2/' configure.ac

pathfix.py -pni "%{__python3} %{py3_shbang_opts}" plugins/externaltools/data/switch-c.tool.in

%build
autoreconf -vfi
%configure2_5x    \
    --disable-schemas-compile    \
    --enable-gtk-doc-html     \
    --enable-gvfs-metadata

%make_build

%install
rm -rf %buildroot
%make_install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

## clean up all the static libs for plugins
find %{buildroot} -name "*.la" -delete

%find_lang %{name} --with-gnome --all-name

%files  -f %{name}.lang
%{_bindir}/pluma
%{_libdir}/pluma/
%{_libexecdir}/pluma/
%{_datadir}/applications/pluma.desktop
%{_datadir}/metainfo/pluma.appdata.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.filebrowser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.time.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.spell.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.pythonconsole.gschema.xml
%{_datadir}/pluma/
%{_mandir}/man1/pluma.1.*
%{_libdir}/girepository-1.0/Pluma-%{gi_major}.typelib

%files devel
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/pluma/
%{_libdir}/pkgconfig/pluma.pc
%{_datadir}/gir-1.0/Pluma-%{gi_major}.gir

%files doc
%{_datadir}/help

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%changelog
* Mon Feb 19 2024 tex - 1.28.0-1pclos2024
- new version

* Fri May 12 2023 tex - 1.26.1-1pclos2023
- new version

* Thu Aug 19 2021 tex - 1.26.0-2pclos2021
- req pluma-plugins as it is only 150k

* Mon Aug 09 2021 tex - 1.26.0-1pclos2021
- new version

* Tue Apr 06 2021 tex - 1.24.2-1pclos2021
- new version

* Sun Sep 13 2020 tex - 1.24.1-1pclos2020
- new version

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
